#pragma once

#include <concepts>
#include <functional>

namespace snoop {


template<typename T>
concept AudioAdapterConcept = requires( T driver, int sampleRate, int channels, int framesPerBuffer, std::function<int( const char*, size_t )> callback )
{
    T( sampleRate, channels, framesPerBuffer, callback );
};


}